package repository

import (
	"context"
	"github.com/go-nunu/nunu-layout-advanced/internal/model"
)

type UdpLimitRepository interface {
	GetUdpLimit(ctx context.Context, id int64) (*model.UdpLimit, error)
}

func NewUdpLimitRepository(
	repository *Repository,
) UdpLimitRepository {
	return &udpLimitRepository{
		Repository: repository,
	}
}

type udpLimitRepository struct {
	*Repository
}

func (r *udpLimitRepository) GetUdpLimit(ctx context.Context, id int64) (*model.UdpLimit, error) {
	var udpLimit model.UdpLimit

	return &udpLimit, nil
}
